Skip to content

Get a single tag

Find tags by ID.

GET /tags/{tagId}

Get a single tag

{
  "openapi": "3.1.0",
  "info": { "title": "Tiqets Distributor API", "version": "2.4.1" },
  "tags": [{ "name": "Content API" }],
  "servers": [
    {
      "url": "https://api-tiqt-test.steq.it/v2",
      "description": "Test Environment"
    },
    {
      "url": "https://api.tiqets.com/v2",
      "description": "Production Environment"
    }
  ],
  "paths": {
    "/tags/{tagId}": {
      "get": {
        "summary": "Get a single tag",
        "tags": ["Content API"],
        "parameters": [
          {
            "name": "lang",
            "in": "query",
            "description": "Localized language of the tags to retrieve. Defaults to English if undefined.",
            "required": false,
            "schema": { "type": "string", "default": "en" }
          },
          {
            "name": "tagId",
            "in": "path",
            "description": "ID of the tag to retrieve.",
            "required": true,
            "schema": { "type": "integer" }
          },
          { "$ref": "#/components/parameters/Authorization" }
        ],
        "responses": {
          "200": {
            "description": "Successful operation.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": { "type": "boolean" },
                    "tag": { "$ref": "#/components/schemas/Tag" }
                  }
                }
              }
            }
          },
          "400": { "$ref": "#/components/responses/BadRequest" },
          "401": { "$ref": "#/components/responses/Unauthorized" },
          "403": { "$ref": "#/components/responses/Forbidden" },
          "404": { "$ref": "#/components/responses/NotFound" },
          "405": { "$ref": "#/components/responses/MethodNotAllowed" },
          "429": { "$ref": "#/components/responses/TooManyRequests" },
          "500": { "$ref": "#/components/responses/InternalServerError" },
          "503": { "$ref": "#/components/responses/ServiceUnavailable" }
        }
      }
    }
  },
  "components": {
    "parameters": {
      "Authorization": {
        "name": "Authorization",
        "in": "header",
        "required": true,
        "description": "Token <Your_API_Key>.",
        "schema": { "type": "string", "default": "Token <Partner_API_key>." }
      }
    },
    "schemas": {
      "Tag": {
        "type": "object",
        "properties": {
          "id": { "type": "string", "description": "The ID of the tag." },
          "name": { "type": "string", "description": "The name of the tag." },
          "type_name": {
            "type": "string",
            "description": "The name of the tag-type."
          },
          "type_id": {
            "type": "string",
            "description": "The ID of the tag-type."
          },
          "type_group_name": {
            "type": "string",
            "description": "The name of the group of tags the tag is included in."
          }
        }
      }
    },
    "responses": {
      "BadRequest": {
        "description": "Bad Request -- Check your request parameters (typo in parameter or invalid value).",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "success": { "type": "boolean" },
                "message": { "type": "string" },
                "error": { "type": "string" },
                "field_errors": { "type": "object" }
              }
            }
          }
        }
      },
      "Unauthorized": {
        "description": "Unauthorized -- Your API key is incorrect.",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "success": { "type": "boolean" },
                "message": { "type": "string" },
                "error": { "type": "string" }
              }
            }
          }
        }
      },
      "Forbidden": {
        "description": "Forbidden -- The endpoint or parameters are not allowed for the matching API key.",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "success": { "type": "boolean" },
                "message": { "type": "string" },
                "error": { "type": "string" }
              }
            }
          }
        }
      },
      "NotFound": {
        "description": "Not Found -- Requested resource/endpoint could not be found.",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "success": { "type": "boolean" },
                "message": { "type": "string" },
                "error": { "type": "string" }
              }
            }
          }
        }
      },
      "MethodNotAllowed": {
        "description": "Method Not Allowed -- Check your request method.",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "success": { "type": "boolean" },
                "message": { "type": "string" },
                "error": { "type": "string" }
              }
            }
          }
        }
      },
      "TooManyRequests": {
        "description": "Too Many Requests -- We currently apply a fair-use policy, but we might enforce limits in the future.",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "success": { "type": "boolean" },
                "message": { "type": "string" },
                "error": { "type": "string" }
              }
            }
          }
        }
      },
      "InternalServerError": {
        "description": "Internal Server Error -- We had a problem with our server. Try again later.",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "success": { "type": "boolean" },
                "message": { "type": "string" },
                "error": { "type": "string" }
              }
            }
          }
        }
      },
      "ServiceUnavailable": {
        "description": "Service Unavailable -- We're temporarily offline for maintenance. Please try again later.",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "success": { "type": "boolean" },
                "message": { "type": "string" },
                "error": { "type": "string" }
              }
            }
          }
        }
      }
    }
  }
}